Skip to main content
GET
Get a snapshot

Authorizations

Authorization
string
header
required

An API key that starts with vms_. Make one in Settings > API keys.

Path Parameters

id
string
required
Example:

"sbx_06d8k3m7q2v9x4b1n5c0e8f2ja"

snapshotId
string
required
Example:

"snp_06d8k3m7q2v9x4b1n5c0e8f2ja"

Response

The snapshot.

id
string
required
Example:

"snp_06d8k3m7q2v9x4b1n5c0e8f2ja"

sandboxId
string
required
Example:

"sbx_06d8k3m7q2v9x4b1n5c0e8f2ja"

generation
integer
required

The position in the chain of the sandbox. The first is 0.

Required range: 0 <= x <= 9007199254740991
parentId
string | null
required

The snapshot before this one. Null for the first.

full
boolean
required

True if the snapshot holds all saved files. False if it holds only the changes since its parent.

changedPaths
integer
required
Required range: 0 <= x <= 9007199254740991
deletedPaths
integer
required
Required range: 0 <= x <= 9007199254740991
uploadedBytes
integer
required
Required range: 0 <= x <= 9007199254740991
startedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
completedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$